[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponent.DestroyComponents

Destroy child components.

## Declaration

Source position: classesh.inc line 1734

`public procedure TComponent.DestroyComponents;`

## Description

DestroyComponents calls the destructor of all owned components, till no more components are left in the Components array.

Calling the destructor of an owned component has as the effect that the component will remove itself from the list of owned components, if nothing has disrupted the sequence of destructors.

## Errors

If an overridden 'destroy' method does not call it's intherited destructor or raises an exception, it's TComponent.Destroy destructor will not be called, which may result in an endless loop.

## See also

Destroy |  | Destroys the instance of the component.
Components |  | Indexed list (zero-based) of all owned components.

Documentation generated on: Feb 26 2014